Subject: Re: [PATCH 1/5] p5550: factor our nonsense-pack creation

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Nov 2017 11:41:25 +0900

Jeff King <[email-masked]> writes:

> Right, I came to the same conclusion (we may even have discussed this on
> the list, I don't remember). The current "todo" format says that only
> the command and sha1 matter, and we'd be changing that. Maybe that's not
> so bad if the user has to enable the feature themselves (and clearly it
> would be incompatible with a custom format option).

If you are in the habit of always writing 4 or more lines, the
chance that you would make a typo on the line you can correct in the
"todo" list with such a feature is at most 25% ;-).

I think one downside is that a mere presence of such an option hints
that we somehow encourage people to commit with a title-only message.